Bug 111151 - gtk+ should BuildRequires: glib-devel, XFree86-devel
gtk+ should BuildRequires: glib-devel, XFree86-devel
Product: Red Hat Raw Hide
Classification: Retired
Component: gtk+ (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
: EasyFix
: 124159 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-11-28 10:33 EST by Maxim Dziumanenko
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-24 23:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2003-11-28 10:33:27 EST
Description of problem:
1. glib headers and development libs needed to build gtk+, thus it
should BuildRequires: glib-devel (instead of glib)
2. X11 headers and development libs needed to build gtk+

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.rpm -e glib-devel XFree86-devel
2.rpmbuild --rebuild gtk+-1.2.10-28.1.src.rpm
3.Wait for build errors
Actual results:

Expected results:

Additional info:
Comment 1 Miloslav Trmac 2003-11-28 11:15:44 EST
Comment 2 Matthias Clasen 2004-06-24 23:20:34 EDT
*** Bug 124159 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.